# Method: datafeedstatuses.get

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#body.aspect)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses/get#try-it)

Retrieves the status of a datafeed from your Merchant Center account.

### HTTP request

`GET https://shoppingcontent.googleapis.com/content/v2.1/{merchantId}/datafeedstatuses/{datafeedId}`

### Path parameters

| Parameters ||
|---|---|
| `merchantId` | `string` The ID of the account that manages the datafeed. This account cannot be a multi-client account. |
| `datafeedId` | `string` The [ID](https://developers.google.com/shopping-content/v2/reference/v2.1/datafeeds#id) of the datafeed. |

### Query parameters

| Parameters ||
|---|---|
| `country` | `string` Deprecated. Use `feedLabel` instead. The country to get the datafeed status for. If this parameter is provided then `language` must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target. |
| `feedLabel` | `string` The feed label to get the datafeed status for. If this parameter is provided then `language` must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target. |
| `language` | `string` The language to get the datafeed status for. If this parameter is provided then `country` must also be provided. Note that this parameter is required for feeds targeting multiple countries and languages, since a feed may have a different status for each target. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/datafeedstatuses#DatafeedStatus`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).